mesos-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Greg Mann (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MESOS-3501) configure cannot find libevent headers in CentOS 6
Date Wed, 23 Sep 2015 23:33:04 GMT

    [ https://issues.apache.org/jira/browse/MESOS-3501?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14905505#comment-14905505
] 

Greg Mann commented on MESOS-3501:
----------------------------------

Turns out the libevent packages for CentOS 6.6 are version 1.4; libevent2 doesn't seem to
be available. Building libevent from source goes without a hitch, so we should probably just
include a note in the Getting Started documentation that libevent2 should be downloaded, built,
and installed before doing {{../configure --enable-libevent}}.

> configure cannot find libevent headers in CentOS 6
> --------------------------------------------------
>
>                 Key: MESOS-3501
>                 URL: https://issues.apache.org/jira/browse/MESOS-3501
>             Project: Mesos
>          Issue Type: Bug
>    Affects Versions: 0.25.0
>         Environment: CentOS 6.6, 6.7
>            Reporter: Greg Mann
>              Labels: build, configure, libevent, mesosphere
>
> If libevent is installed via {{sudo yum install libevent-headers}}, running {{../configure
--enable-libevent}} will fail to discover the libevent headers:
> {code}
> checking event2/event.h usability... no
> checking event2/event.h presence... no
> checking for event2/event.h... no
> configure: error: cannot find libevent headers
> -------------------------------------------------------------------
> libevent is required for libprocess to build.
> -------------------------------------------------------------------
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message